## BlobToImage

BlobToImage() implements direct to memory image formats. It returns the blob as an image.

The format of the BlobToImage method is:

      Image *BlobToImage(const ImageInfo *image_info,const void *blob,
        const size_t length,ExceptionInfo *exception)

A description of each parameter follows:

#### image_info

The image info.

#### blob

The address of a character stream in one of the image formats understood by ImageMagick.

#### length

This size_t integer reflects the length in bytes of the blob.

#### exception

Return any errors or warnings in this structure.

## ImageToBlob

ImageToBlob() implements direct to memory image formats. It returns the image as a blob and its length. The magick member of the ImageInfo structure determines the format of the returned blob (GIF, JPEG, PNG, etc.)

The format of the ImageToBlob method is:

      unsigned char *ImageToBlob(const ImageInfo *image_info,Image *image,
        size_t *length,ExceptionInfo *exception)

A description of each parameter follows:

#### image_info

The image info.

#### image

The image.

#### length

This pointer to a size_t integer sets the initial length of the blob. On return, it reflects the actual length of the blob.

#### exception

Return any errors or warnings in this structure.

## ImageToFile

ImageToFile() writes an image to a file. It returns MagickFalse if an error occurs otherwise MagickTrue.

The format of the ImageToFile method is:

       MagickBooleanType ImageToFile(Image *image,char *filename,
        ExceptionInfo *exception)

A description of each parameter follows:

#### image

The image.

#### filename

Write the image to this file.

#### exception

Return any errors or warnings in this structure.

## ImagesToBlob

ImagesToBlob() implements direct to memory image formats. It returns the image sequence as a blob and its length. The magick member of the ImageInfo structure determines the format of the returned blob (GIF, JPEG, PNG, etc.)

Note, some image formats do not permit multiple images to the same image stream (e.g. JPEG). in this instance, just the first image of the sequence is returned as a blob.

The format of the ImagesToBlob method is:

      unsigned char *ImagesToBlob(const ImageInfo *image_info,Image *images,
        size_t *length,ExceptionInfo *exception)

A description of each parameter follows:

#### image_info

The image info.

#### images

The image list.

#### length

This pointer to a size_t integer sets the initial length of the blob. On return, it reflects the actual length of the blob.

#### exception

Return any errors or warnings in this structure.

Discourse Server | Mailing Lists | Image Gallery | ImageMagick Studio
© 1999-2005 ImageMagick Studio LLC